---
hide_title: true
title: Creating Extensions
---

# Creating Extensions

There are three extension types.

- Plain Extensions
- Node Extensions
- Mark Extensions

The node and mark extensions get their name from the underlying prosemirror implementation. If you have time it's not a bad idea to peruse though the [prosemirror documentation](https://prosemirror.net/docs/guide/). The ending will really surprise you.

Naming conventions for npm packages

- remirror-preset-<%NAME> For composing extensions.
- remirror-extension-<%NAME> For adding behaviour.
- remirror-editor-<%NAME> For adding UI to the editor.

### Installation

```bash
yarn add remirror@next @remirror/pm@next # yarn
pnpm add remirror@next @remirror/pm@next # pnpm
npm install remirror@next @remirror/pm@next # npm
```
