---
hide_title: true
title: Projects
---

# Projects

The remirror road map is being planned using GitHub [projects](/projects). Here's a brief introduction to each of them.

## `remirror@1.0.0`

[**Project Link**](/projects/next)

This project is comprehensive set of features which are planned to be developed in time for the release of `remirror@1.0.0`. The plan is constantly being worked on and your input, feature suggestions, bug reports and questions will help improve the codebase.

The following packages are included in the kanban board.

- `@remirror/core` - Includes core and all `core-*` packages.
- `@remirror/extension-*` - All the extension packages.
- `@remirror/preset-*` - All the preset package.
- `@remirror/react` - All the react package including `react-*`
- `@remirror/dom` - The dom package when remirror is targetting the dom.

## Internal Roadmap

[**Project Link**](/projects/ir)

A weekly and monthly breakdown of the internal and external roadmap for the `remirror` project.

Once the `remirror` bot is available, I'll use it to mirror this internal road map to the publicly promoted `Public Roadmap` project.

The **Public Roadmap** will only include features relating to the public API. These will be determined based on the labels that have been attached to the issues. Labels include `package: *`, `framework: *`, `type: feature` and any other labels that will eventually point to API shaping issues.

## Documentation and Publicity

[**Project Link**](/projects/docs)

This project is the start of a big push to vastly improve the quality of the `remirror` documentation.

This project isn't the only important step.

- **Every** new feature should include documentation.
- When responding to `discord` comments and discussions make sure to copy over the resolutions to the docs.
- Don't wait for automation, sometimes the best way to learn what needs to be automated is to manually do it first.
- Aggressively comment all code both private and public. All refactors should increase the comments in the code base.

This project will also be the home of all public facing endeavours.

- A channel for video tutorials and streaming
- A Twitter account.
- A Twitch account for livestreaming.

## Bugs

[**Project Link**](/projects/bugs)

This project is used to triage and prioritise bugs raised by contributors to the project.

If you're ever bored and looking for something to do, feel free to peruse this board. You can help out by

- Testing to see if you can verify a bug.
- Identifying when an issue doesn't have enough information attached.
- Creating a pull request with fixes for bugs.
- Add comments on your experiences with using the codebase.
- Upvoting the bugs most important to you.
- Creating your own bug reports.

## Automation and Tooling

[**Project Link**](/projects/auto)

Organising the tasks for adding automation to improve the effectiveness of the `remirror` project.

- Project management.
- Releases to GitHub and NPM.
- Bots to manage issues and PR's.
- Diagnosing project over time.

And more that I probably can't think of right now.
